window.Gleam.initSearch([{"doc":"typed_headers","title":"typed_headers","content":"# typed_headers\n\n[![Package Version](https://img.shields.io/hexpm/v/typed_headers)](https://hex.pm/packages/typed_headers)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/typed_headers/)\n\n```sh\ngleam add typed_headers\n```\n```gleam\nimport gleam/list\nimport typed_headers/header\nimport typed_headers/content_type\nimport typed_headers/content_type/application\n\npub fn main() {\n  let headers =\n  [header.ContentType(content_type.Application(application.JSON))]\n  |&gt; list.map(typed_headers.to_string)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/typed_headers&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"typed_headers/utils","title":"codecs_to_string","content":"pub fn codecs_to_string(codecs: List(String)) -&gt; String\n\nSynonyms:\ntyped_headers/utils.codecs_to_string\ntyped_headers/utils codecs_to_string","url":"typed_headers/utils.html#codecs_to_string"},{"doc":"typed_headers/utils","title":"typed_headers/utils","content":"","url":"typed_headers/utils.html"},{"doc":"typed_headers/content_type/application","title":"Application","content":"pub type Application {\n  JSON\n  XML\n  OGG\n  OGGWithCodecs(codecs: List(String))\n  Custom(String)\n}\n\nJSON\n\n\nXML\n\n\nOGG\n\n\nOGGWithCodecs(codecs: List(String))\n\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/content_type/application.Application\ntyped_headers/content_type/application Application","url":"typed_headers/content_type/application.html#Application"},{"doc":"typed_headers/content_type/application","title":"type_name","content":"pub const type_name: String = &quot;application&quot;\n\nSynonyms:\ntyped_headers/content_type/application.type_name\ntyped_headers/content_type/application type_name","url":"typed_headers/content_type/application.html#type_name"},{"doc":"typed_headers/content_type/application","title":"to_string","content":"pub fn to_string(application: Application) -&gt; String\n\nSynonyms:\ntyped_headers/content_type/application.to_string\ntyped_headers/content_type/application to_string","url":"typed_headers/content_type/application.html#to_string"},{"doc":"typed_headers/content_type/application","title":"typed_headers/content_type/application","content":"","url":"typed_headers/content_type/application.html"},{"doc":"typed_headers/content_type/audio","title":"Audio","content":"pub type Audio {\n  AAC\n  FLAC\n  MPEG\n  MP3\n  WEBM\n  WEBMWithCodecs(codecs: List(WEBMCodec))\n  Custom(String)\n}\n\nAAC\n\n\nFLAC\n\n\nMPEG\n\n\nMP3\n\n\nWEBM\n\n\nWEBMWithCodecs(codecs: List(WEBMCodec))\n\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/content_type/audio.Audio\ntyped_headers/content_type/audio Audio","url":"typed_headers/content_type/audio.html#Audio"},{"doc":"typed_headers/content_type/audio","title":"WEBMCodec","content":"pub type WEBMCodec {\n  VorbisCodec\n  OPUSCodec\n}\n\nVorbisCodec\n\n\nOPUSCodec\n\n\nSynonyms:\ntyped_headers/content_type/audio.WEBMCodec\ntyped_headers/content_type/audio WEBMCodec","url":"typed_headers/content_type/audio.html#WEBMCodec"},{"doc":"typed_headers/content_type/audio","title":"type_name","content":"pub const type_name: String = &quot;audio&quot;\n\nSynonyms:\ntyped_headers/content_type/audio.type_name\ntyped_headers/content_type/audio type_name","url":"typed_headers/content_type/audio.html#type_name"},{"doc":"typed_headers/content_type/audio","title":"to_string","content":"pub fn to_string(ct: Audio) -&gt; String\n\nSynonyms:\ntyped_headers/content_type/audio.to_string\ntyped_headers/content_type/audio to_string","url":"typed_headers/content_type/audio.html#to_string"},{"doc":"typed_headers/content_type/audio","title":"typed_headers/content_type/audio","content":"","url":"typed_headers/content_type/audio.html"},{"doc":"typed_headers/content_type/font","title":"Font","content":"pub type Font {\n  Collection\n  OTF\n  SFNT\n  TTF\n  WOFF\n  WOFF2\n  Custom(String)\n}\n\nCollection\n\n\nOTF\n\n\nSFNT\n\n\nTTF\n\n\nWOFF\n\n\nWOFF2\n\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/content_type/font.Font\ntyped_headers/content_type/font Font","url":"typed_headers/content_type/font.html#Font"},{"doc":"typed_headers/content_type/font","title":"type_name","content":"pub const type_name: String = &quot;font&quot;\n\nSynonyms:\ntyped_headers/content_type/font.type_name\ntyped_headers/content_type/font type_name","url":"typed_headers/content_type/font.html#type_name"},{"doc":"typed_headers/content_type/font","title":"to_string","content":"pub fn to_string(ct: Font) -&gt; String\n\nSynonyms:\ntyped_headers/content_type/font.to_string\ntyped_headers/content_type/font to_string","url":"typed_headers/content_type/font.html#to_string"},{"doc":"typed_headers/content_type/font","title":"typed_headers/content_type/font","content":"","url":"typed_headers/content_type/font.html"},{"doc":"typed_headers/content_type/example","title":"Example","content":"pub type Example {\n  Custom(String)\n}\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/content_type/example.Example\ntyped_headers/content_type/example Example","url":"typed_headers/content_type/example.html#Example"},{"doc":"typed_headers/content_type/example","title":"type_name","content":"pub const type_name: String = &quot;example&quot;\n\nSynonyms:\ntyped_headers/content_type/example.type_name\ntyped_headers/content_type/example type_name","url":"typed_headers/content_type/example.html#type_name"},{"doc":"typed_headers/content_type/example","title":"to_string","content":"pub fn to_string(ct: Example) -&gt; String\n\nSynonyms:\ntyped_headers/content_type/example.to_string\ntyped_headers/content_type/example to_string","url":"typed_headers/content_type/example.html#to_string"},{"doc":"typed_headers/content_type/example","title":"typed_headers/content_type/example","content":"","url":"typed_headers/content_type/example.html"},{"doc":"typed_headers/content_type/image","title":"Image","content":"pub type Image {\n  JPEG\n  PNG\n  Custom(String)\n}\n\nJPEG\n\n\nPNG\n\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/content_type/image.Image\ntyped_headers/content_type/image Image","url":"typed_headers/content_type/image.html#Image"},{"doc":"typed_headers/content_type/image","title":"type_name","content":"pub const type_name: String = &quot;image&quot;\n\nSynonyms:\ntyped_headers/content_type/image.type_name\ntyped_headers/content_type/image type_name","url":"typed_headers/content_type/image.html#type_name"},{"doc":"typed_headers/content_type/image","title":"to_string","content":"pub fn to_string(ct: Image) -&gt; String\n\nSynonyms:\ntyped_headers/content_type/image.to_string\ntyped_headers/content_type/image to_string","url":"typed_headers/content_type/image.html#to_string"},{"doc":"typed_headers/content_type/image","title":"typed_headers/content_type/image","content":"","url":"typed_headers/content_type/image.html"},{"doc":"typed_headers/content_type/message","title":"Message","content":"pub type Message {\n  HTTP\n  SIP\n  Custom(String)\n}\n\nHTTP\n\n\nSIP\n\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/content_type/message.Message\ntyped_headers/content_type/message Message","url":"typed_headers/content_type/message.html#Message"},{"doc":"typed_headers/content_type/message","title":"type_name","content":"pub const type_name: String = &quot;message&quot;\n\nSynonyms:\ntyped_headers/content_type/message.type_name\ntyped_headers/content_type/message type_name","url":"typed_headers/content_type/message.html#type_name"},{"doc":"typed_headers/content_type/message","title":"to_string","content":"pub fn to_string(ct: Message) -&gt; String\n\nSynonyms:\ntyped_headers/content_type/message.to_string\ntyped_headers/content_type/message to_string","url":"typed_headers/content_type/message.html#to_string"},{"doc":"typed_headers/content_type/message","title":"typed_headers/content_type/message","content":"","url":"typed_headers/content_type/message.html"},{"doc":"typed_headers/content_type/model","title":"Model","content":"pub type Model {\n  STEP\n  OBJ\n  Custom(String)\n}\n\nSTEP\n\n\nOBJ\n\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/content_type/model.Model\ntyped_headers/content_type/model Model","url":"typed_headers/content_type/model.html#Model"},{"doc":"typed_headers/content_type/model","title":"type_name","content":"pub const type_name: String = &quot;model&quot;\n\nSynonyms:\ntyped_headers/content_type/model.type_name\ntyped_headers/content_type/model type_name","url":"typed_headers/content_type/model.html#type_name"},{"doc":"typed_headers/content_type/model","title":"to_string","content":"pub fn to_string(ct: Model) -&gt; String\n\nSynonyms:\ntyped_headers/content_type/model.to_string\ntyped_headers/content_type/model to_string","url":"typed_headers/content_type/model.html#to_string"},{"doc":"typed_headers/content_type/model","title":"typed_headers/content_type/model","content":"","url":"typed_headers/content_type/model.html"},{"doc":"typed_headers/content_type/multipart","title":"Multipart","content":"pub type Multipart {\n  FormData\n  Mixed\n  Custom(String)\n}\n\nFormData\n\n\nMixed\n\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/content_type/multipart.Multipart\ntyped_headers/content_type/multipart Multipart","url":"typed_headers/content_type/multipart.html#Multipart"},{"doc":"typed_headers/content_type/multipart","title":"type_name","content":"pub const type_name: String = &quot;multipart&quot;\n\nSynonyms:\ntyped_headers/content_type/multipart.type_name\ntyped_headers/content_type/multipart type_name","url":"typed_headers/content_type/multipart.html#type_name"},{"doc":"typed_headers/content_type/multipart","title":"to_string","content":"pub fn to_string(ct: Multipart) -&gt; String\n\nSynonyms:\ntyped_headers/content_type/multipart.to_string\ntyped_headers/content_type/multipart to_string","url":"typed_headers/content_type/multipart.html#to_string"},{"doc":"typed_headers/content_type/multipart","title":"typed_headers/content_type/multipart","content":"","url":"typed_headers/content_type/multipart.html"},{"doc":"typed_headers/content_type/text","title":"Text","content":"pub type Text {\n  Plain\n  HTML\n  Javascript\n  CSS\n  Custom(String)\n}\n\nPlain\n\n\nHTML\n\n\nJavascript\n\n\nCSS\n\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/content_type/text.Text\ntyped_headers/content_type/text Text","url":"typed_headers/content_type/text.html#Text"},{"doc":"typed_headers/content_type/text","title":"type_name","content":"pub const type_name: String = &quot;text&quot;\n\nSynonyms:\ntyped_headers/content_type/text.type_name\ntyped_headers/content_type/text type_name","url":"typed_headers/content_type/text.html#type_name"},{"doc":"typed_headers/content_type/text","title":"to_string","content":"pub fn to_string(ct: Text) -&gt; String\n\nSynonyms:\ntyped_headers/content_type/text.to_string\ntyped_headers/content_type/text to_string","url":"typed_headers/content_type/text.html#to_string"},{"doc":"typed_headers/content_type/text","title":"typed_headers/content_type/text","content":"","url":"typed_headers/content_type/text.html"},{"doc":"typed_headers/content_type/video","title":"Video","content":"pub type Video {\n  RAW\n  MP4\n  MPV\n  WEBM\n  WEBMWithCodecs(List(WEBMCodec))\n  Custom(String)\n}\n\nRAW\n\n\nMP4\n\n\nMPV\n\n\nWEBM\n\n\nWEBMWithCodecs(List(WEBMCodec))\n\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/content_type/video.Video\ntyped_headers/content_type/video Video","url":"typed_headers/content_type/video.html#Video"},{"doc":"typed_headers/content_type/video","title":"WEBMCodec","content":"pub type WEBMCodec {\n  VP8\n  VP80\n}\n\nVP8\n\n\nVP80\n\n\nSynonyms:\ntyped_headers/content_type/video.WEBMCodec\ntyped_headers/content_type/video WEBMCodec","url":"typed_headers/content_type/video.html#WEBMCodec"},{"doc":"typed_headers/content_type/video","title":"type_name","content":"pub const type_name: String = &quot;video&quot;\n\nSynonyms:\ntyped_headers/content_type/video.type_name\ntyped_headers/content_type/video type_name","url":"typed_headers/content_type/video.html#type_name"},{"doc":"typed_headers/content_type/video","title":"to_string","content":"pub fn to_string(ct: Video) -&gt; String\n\nSynonyms:\ntyped_headers/content_type/video.to_string\ntyped_headers/content_type/video to_string","url":"typed_headers/content_type/video.html#to_string"},{"doc":"typed_headers/content_type/video","title":"typed_headers/content_type/video","content":"","url":"typed_headers/content_type/video.html"},{"doc":"typed_headers/content_type","title":"ContentType","content":"pub type ContentType {\n  Application(application.Application)\n  ApplicationWithCodecs(\n    application.Application,\n    codecs: List(String),\n  )\n  Audio(audio.Audio)\n  AudioWithCodecs(audio.Audio, codecs: List(String))\n  Font(font.Font)\n  Example(example.Example)\n  Image(image.Image)\n  Message(message.Message)\n  Model(model.Model)\n  Multipart(multipart.Multipart)\n  Text(text.Text)\n  Video(video.Video)\n  VideoWithCodecs(video.Video, codecs: List(String))\n  CustomContentType(media_type: String, sub_type: String)\n  CustomRawContentType(String)\n}\n\nApplication(application.Application)\n\n\nApplicationWithCodecs(\n  application.Application,\n  codecs: List(String),\n)\n\n\nAudio(audio.Audio)\n\n\nAudioWithCodecs(audio.Audio, codecs: List(String))\n\n\nFont(font.Font)\n\n\nExample(example.Example)\n\n\nImage(image.Image)\n\n\nMessage(message.Message)\n\n\nModel(model.Model)\n\n\nMultipart(multipart.Multipart)\n\n\nText(text.Text)\n\n\nVideo(video.Video)\n\n\nVideoWithCodecs(video.Video, codecs: List(String))\n\n\nCustomContentType(media_type: String, sub_type: String)\n\n\nCustomRawContentType(String)\n\n\nSynonyms:\ntyped_headers/content_type.ContentType\ntyped_headers/content_type ContentType","url":"typed_headers/content_type.html#ContentType"},{"doc":"typed_headers/content_type","title":"header_name","content":"pub const header_name: String = &quot;Content-Type&quot;\n\nSynonyms:\ntyped_headers/content_type.header_name\ntyped_headers/content_type header_name","url":"typed_headers/content_type.html#header_name"},{"doc":"typed_headers/content_type","title":"to_string","content":"pub fn to_string(content_type: ContentType) -&gt; String\n\nSynonyms:\ntyped_headers/content_type.to_string\ntyped_headers/content_type to_string","url":"typed_headers/content_type.html#to_string"},{"doc":"typed_headers/content_type","title":"typed_headers/content_type","content":"","url":"typed_headers/content_type.html"},{"doc":"typed_headers/header","title":"Header","content":"pub type Header {\n  ContentType(ContentType)\n  Custom(name: String, value: String)\n  Raw(String)\n}\n\nContentType(ContentType)\n\n\nCustom(name: String, value: String)\n\n\nRaw(String)\n\n\nSynonyms:\ntyped_headers/header.Header\ntyped_headers/header Header","url":"typed_headers/header.html#Header"},{"doc":"typed_headers/header","title":"to_string","content":"pub fn to_string(header: Header) -&gt; String\n\nSynonyms:\ntyped_headers/header.to_string\ntyped_headers/header to_string","url":"typed_headers/header.html#to_string"},{"doc":"typed_headers/header","title":"typed_headers/header","content":"","url":"typed_headers/header.html"},{"doc":"typed_headers/method","title":"Method","content":"pub type Method {\n  GET\n  POST\n  PUT\n  PATCH\n  DELETE\n  HEAD\n  OPTIONS\n  TRACE\n  CONNECT\n  Custom(String)\n}\n\nGET\n\n\nPOST\n\n\nPUT\n\n\nPATCH\n\n\nDELETE\n\n\nHEAD\n\n\nOPTIONS\n\n\nTRACE\n\n\nCONNECT\n\n\nCustom(String)\n\n\nSynonyms:\ntyped_headers/method.Method\ntyped_headers/method Method","url":"typed_headers/method.html#Method"},{"doc":"typed_headers/method","title":"to_string","content":"pub fn to_string(method: Method) -&gt; String\n\nSynonyms:\ntyped_headers/method.to_string\ntyped_headers/method to_string","url":"typed_headers/method.html#to_string"},{"doc":"typed_headers/method","title":"typed_headers/method","content":"","url":"typed_headers/method.html"}]);